### Method

# St Entry set_input_purpose

#### Declaration [src]

    void
    st_entry_set_input_purpose (
      StEntry* entry,
      ClutterInputContentPurpose purpose
    )

#### Description [src]

Sets the `StEntry:input-purpose` property which can be used by on-screen keyboards and other input methods to adjust their behaviour.

Sets property | `St.Entry:input-purpose`

#### Parameters

`purpose`

  Type: `ClutterInputContentPurpose`

  The purpose.